%define zabbix_group    zabbix

Name:   zabbix-agent2-plugin-postgresql
Version: 7.0.11
Release: alt1

Summary: Provides native Zabbix solution for monitoring PostgreSQL
License: AGPL-3.0-only
Group:   Monitoring
URL:     https://git.zabbix.com/projects/AP/repos/postgresql/browse

BuildRequires(pre): rpm-build-golang
BuildRequires: golang /proc
ExclusiveArch: %go_arches

Requires: zabbix-agent2

Source: %name-%version.tar
Patch0: zabbix-agent2-plugin-postgresql-6.0.32-alt-config.patch

%description
Provides native Zabbix solution for monitoring PostgreSQL (object-relational database system).
It can monitor several PostgreSQL instances simultaneously, remote or local to the Zabbix Agent.
Native connection encryption is supported. The plugin keeps connections in the open state to
reduce network congestion, latency, CPU and memory usage. Best for use in conjunction with the
official PostgreSQL template. You can extend it or create your template for your specific needs.

%prep
%setup
%patch0 -p1

%build
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}/
mv zabbix-agent2-plugin-postgresql %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_sysconfdir}/zabbix/zabbix_agent2.conf.d/plugins.d
mv postgresql.conf %{buildroot}%{_sysconfdir}/zabbix/zabbix_agent2.conf.d/plugins.d

%files
%doc ChangeLog LICENSE README.md
%_sbindir/zabbix-agent2-plugin-postgresql
%config(noreplace) %attr(0640,root,%zabbix_group) %_sysconfdir/zabbix/zabbix_agent2.conf.d/plugins.d/postgresql.conf

%changelog
* Fri Mar 28 2025 Alexei Takaseev <taf@altlinux.org> 7.0.11-alt1
- 7.0.11

* Tue Feb 25 2025 Alexei Takaseev <taf@altlinux.org> 7.0.10-alt1
- 7.0.10
- Use %%make_build for speedup compilation

* Tue Jan 28 2025 Alexei Takaseev <taf@altlinux.org> 7.0.9-alt1
- 7.0.9

* Wed Jan 08 2025 Alexei Takaseev <taf@altlinux.org> 7.0.8-alt1
- 7.0.8

* Thu Dec 19 2024 Alexei Takaseev <taf@altlinux.org> 7.0.7-alt1
- 7.0.7

* Wed Dec 04 2024 Alexei Takaseev <taf@altlinux.org> 7.0.6-alt1
- 7.0.6

* Thu Oct 24 2024 Alexei Takaseev <taf@altlinux.org> 7.0.5-alt1
- 7.0.5

* Sat Sep 28 2024 Alexei Takaseev <taf@altlinux.org> 7.0.4-alt1
- 7.0.4

* Wed Aug 28 2024 Alexei Takaseev <taf@altlinux.org> 7.0.3-alt1
- 7.0.3

* Thu Jul 11 2024 Sergey Gvozdetskiy <serjigva@altlinux.org> 6.4.9-alt2
- Default configuration update (ALT #50849 #50850)

* Thu Jul 04 2024 Sergey Gvozdetskiy <serjigva@altlinux.org> 6.4.9-alt1
- Initial build for Sisyphus (Closes: #50382)
